diff -aurNw cyphertite-2.0.2/assl/GNUmakefile cyphertite-2.0.2.new/assl/GNUmakefile
--- cyphertite-2.0.2/assl/GNUmakefile	2014-04-07 20:07:05.000000000 -0400
+++ cyphertite-2.0.2.new/assl/GNUmakefile	2014-06-24 21:51:17.803260239 -0400
@@ -40,7 +40,7 @@
 
 # Compiler and linker flags.
 CPPFLAGS += -DNEED_LIBCLENS -DASSL_NO_FANCY_ERRORS
-INCFLAGS += -I . -I$(INCDIR)/clens -I$(LOCALBASE)/ssl/include
+INCFLAGS += -I . -I$(INCDIR)/clens/include/clens -I$(LOCALBASE)/ssl/include
 WARNFLAGS ?= -Wall -Werror
 DEBUG += -g
 CFLAGS += $(INCFLAGS) $(WARNFLAGS) $(DEBUG)
diff -aurNw cyphertite-2.0.2/clog/GNUmakefile cyphertite-2.0.2.new/clog/GNUmakefile
--- cyphertite-2.0.2/clog/GNUmakefile	2014-04-07 20:07:04.000000000 -0400
+++ cyphertite-2.0.2.new/clog/GNUmakefile	2014-06-24 21:50:48.171679858 -0400
@@ -40,7 +40,7 @@
 
 # Compiler and linker flags.
 CPPFLAGS += -DNEED_LIBCLENS
-INCFLAGS += -I $(INCDIR)/clens
+INCFLAGS += -I $(INCDIR)/clens/include/clens
 WARNFLAGS ?= -Wall -Werror
 DEBUG += -g
 CFLAGS += $(INCFLAGS) $(WARNFLAGS) $(DEBUG)
diff -aurNw cyphertite-2.0.2/cyphertite/ctutil/GNUmakefile cyphertite-2.0.2.new/cyphertite/ctutil/GNUmakefile
--- cyphertite-2.0.2/cyphertite/ctutil/GNUmakefile	2014-04-07 20:07:03.000000000 -0400
+++ cyphertite-2.0.2.new/cyphertite/ctutil/GNUmakefile	2014-06-24 21:52:40.806055728 -0400
@@ -32,7 +32,7 @@
 
 # Compiler and linker flags.
 CPPFLAGS += -DNEED_LIBCLENS
-INCFLAGS += -I. -I$(INCDIR)/clens -I$(LOCALBASE)/ssl/include
+INCFLAGS += -I. -I$(INCDIR)/clens/include/clens -I$(LOCALBASE)/ssl/include -I $(INCDIR)/clog -I $(INCDIR)/exude -I $(INCDIR)/assl -I $(INCDIR)/shrink/libshrink -I $(INCDIR)/xmlsd
 CFLAGS += $(INCFLAGS) $(WARNFLAGS) $(OPTLEVEL) $(DEBUG)
 
 LIB.NAME = ctutil
diff -aurNw cyphertite-2.0.2/cyphertite/cyphertite/GNUmakefile cyphertite-2.0.2.new/cyphertite/cyphertite/GNUmakefile
--- cyphertite-2.0.2/cyphertite/cyphertite/GNUmakefile	2014-06-24 22:34:56.966865150 -0400
+++ cyphertite-2.0.2.new/cyphertite/cyphertite/GNUmakefile	2014-06-24 22:33:48.680059480 -0400
@@ -42,14 +42,15 @@
 endif
 
 # curl
-CURL.LDLIBS = $(shell PATH=$(BINDIR):$$PATH curl-config --static-libs | \
-    sed -e 's/-lssl//g' -e 's/-lcrypto//g' -e 's/-lz//g' -e 's/ \+/ /g')
+CURL.LDLIBS = $(shell PATH=$(BINDIR):$$PATH curl-config --libs | \
+    sed -e 's/-lssl //g' -e 's/-lcrypto //g' -e 's/-lz //g' -e 's/ \+/ /g')
 
 # Compiler and linker flags.
 CPPFLAGS += -DNEED_LIBCLENS
-INCFLAGS += -I../ctutil -I../libcyphertite -I$(INCDIR)/clens -I.
+INCFLAGS += -I../ctutil -I../libcyphertite -I$(INCDIR)/clens/include/clens -I. -I $(INCDIR)/clog -I $(INCDIR)/exude -I $(INCDIR)/assl -I $(INCDIR)/shrink/libshrink -I $(INCDIR)/xmlsd
 CFLAGS += $(INCFLAGS) $(WARNFLAGS) $(OPTLEVEL) $(DEBUG)
 LDLIBS += -L../ctutil/obj -L../ctutil -L../libcyphertite/obj -L../libcyphertite
+LDLIBS += -L../../assl -L../../exude -L../../clog -L../../shrink/libshrink -L../../xmlsd -L../../clens
 LDLIBS += -lcyphertite -lctutil -lassl -lexude -lclog -lshrink -lxmlsd
 LDLIBS += -lclens -levent_core -lexpat -lsqlite3 -llzma -llzo2 $(CURL.LDLIBS)
 LDLIBS += $(LIB.LINKSTATIC) -lssl -lcrypto
diff -aurNw cyphertite-2.0.2/cyphertite/libcyphertite/GNUmakefile cyphertite-2.0.2.new/cyphertite/libcyphertite/GNUmakefile
--- cyphertite-2.0.2/cyphertite/libcyphertite/GNUmakefile	2014-04-07 20:07:03.000000000 -0400
+++ cyphertite-2.0.2.new/cyphertite/libcyphertite/GNUmakefile	2014-06-24 21:53:59.324881408 -0400
@@ -34,7 +34,7 @@
 
 # Compiler and linker flags.
 CPPFLAGS += -DNEED_LIBCLENS
-INCFLAGS += -I. -I../ctutil -I$(INCDIR)/clens -I$(LOCALBASE)/ssl/include
+INCFLAGS += -I. -I../ctutil -I$(INCDIR)/clens/include/clens -I$(LOCALBASE)/ssl/include -I $(INCDIR)/clog -I $(INCDIR)/assl -I $(INCDIR)/exude -I $(INCDIR)/xmlsd -I $(INCDIR)/shrink/libshrink
 CFLAGS += $(INCFLAGS) $(WARNFLAGS) $(OPTLEVEL) $(DEBUG)
 
 LIB.NAME = cyphertite
diff -aurNw cyphertite-2.0.2/exude/GNUmakefile cyphertite-2.0.2.new/exude/GNUmakefile
--- cyphertite-2.0.2/exude/GNUmakefile	2014-06-24 21:47:50.386058210 -0400
+++ cyphertite-2.0.2.new/exude/GNUmakefile	2014-06-24 21:46:06.511806734 -0400
@@ -39,7 +39,7 @@
 
 # Compiler and linker flags.
 CPPFLAGS += -DNEED_LIBCLENS
-INCFLAGS += -I $(INCDIR)/clens -I . -I $(INCDIR)
+INCFLAGS += -I $(INCDIR)/clens/include/clens -I . -I $(INCDIR)/clog
 WARNFLAGS ?= -Wall -Werror
 DEBUG += -g
 CFLAGS += $(INCFLAGS) $(WARNFLAGS) $(DEBUG)
diff -aurNw cyphertite-2.0.2/shrink/libshrink/GNUmakefile cyphertite-2.0.2.new/shrink/libshrink/GNUmakefile
--- cyphertite-2.0.2/shrink/libshrink/GNUmakefile	2014-04-07 20:07:06.000000000 -0400
+++ cyphertite-2.0.2.new/shrink/libshrink/GNUmakefile	2014-06-24 21:50:23.180029054 -0400
@@ -57,7 +57,7 @@
 
 # Compiler and linker flags.
 CPPFLAGS += -DNEED_LIBCLENS
-INCFLAGS += -I . -I $(INCDIR)/clens
+INCFLAGS += -I . -I $(INCDIR)/clens/include/clens
 #WARNFLAGS ?= -Wall -Werror
 WARNFLAGS ?= -Wall
 DEBUG += -g
diff -aurNw cyphertite-2.0.2/shrink/shrink/GNUmakefile cyphertite-2.0.2.new/shrink/shrink/GNUmakefile
--- cyphertite-2.0.2/shrink/shrink/GNUmakefile	2014-06-24 21:48:13.397765653 -0400
+++ cyphertite-2.0.2.new/shrink/shrink/GNUmakefile	2014-06-24 21:49:21.184875678 -0400
@@ -42,11 +42,11 @@
 
 # Compiler and linker flags.
 CPPFLAGS += -DNEED_LIBCLENS
-INCFLAGS += -I ../libshrink -I $(INCDIR)/clens -I $(LOCALBASE)/ssl/include
+INCFLAGS += -I ../libshrink -I $(INCDIR)/clens/include/clens -I $(LOCALBASE)/ssl/include
 WARNFLAGS ?= -Wall -Werror
 DEBUG += -g
 CFLAGS += $(INCFLAGS) $(WARNFLAGS) $(DEBUG)
-LDLIBS += -L../libshrink/obj -L../libshrink -lshrink -lclens
+LDLIBS += -L../libshrink/obj -L../libshrink -lshrink -lclens -L../../clens
 LDLIBS += ${LIB.LINKSTATIC} -lssl -lcrypto ${LIB.LINKDYNAMIC} -ldl
 
 BIN.NAME = shrink
diff -aurNw cyphertite-2.0.2/xmlsd/GNUmakefile cyphertite-2.0.2.new/xmlsd/GNUmakefile
--- cyphertite-2.0.2/xmlsd/GNUmakefile	2014-04-07 20:07:06.000000000 -0400
+++ cyphertite-2.0.2.new/xmlsd/GNUmakefile	2014-06-24 21:51:42.518905907 -0400
@@ -41,10 +41,10 @@
 
 # Compiler and linker flags.
 CPPFLAGS += -DNEED_LIBCLENS
-INCFLAGS += -I$(INCDIR)/clens
+INCFLAGS += -I$(INCDIR)/clens/include/clens
 WARNFLAGS ?= -Wall -Werror
 DEBUG += -g
-CFLAGS += $(INCFLAGS) $(WARNFLAGS) $(DEBUG) -O2
+CFLAGS += $(INCFLAGS) $(WARNFLAGS) $(DEBUG)
 LDFLAGS +=
 SHARED_OBJ_EXT ?= o
 
diff -aurwN cyphertite-2.0.2/cyphertite/examples/ct_archive/GNUmakefile cyphertite-2.0.2.new/cyphertite/examples/ct_archive/GNUmakefile
--- cyphertite-2.0.2/cyphertite/examples/ct_archive/GNUmakefile	2014-04-07 20:07:03.000000000 -0400
+++ cyphertite-2.0.2.new/cyphertite/examples/ct_archive/GNUmakefile	2014-06-24 22:45:13.136091682 -0400
@@ -42,15 +42,16 @@
 endif
 
 # curl
-CURL.LDLIBS = $(shell PATH=$(BINDIR):$$PATH curl-config --static-libs | \
-    sed -e 's/-lssl//g' -e 's/-lcrypto//g' -e 's/-lz//g' -e 's/ \+/ /g')
+CURL.LDLIBS = $(shell PATH=$(BINDIR):$$PATH curl-config --libs | \
+    sed -e 's/-lssl //g' -e 's/-lcrypto //g' -e 's/-lz //g' -e 's/ \+/ /g')
 
 # Compiler and linker flags.
 CPPFLAGS += -DNEED_LIBCLENS
-INCFLAGS += -I../../ctutil -I../../libcyphertite -I$(INCDIR)/clens -I. -I$(INCDIR)
+INCFLAGS += -I../../ctutil -I../../libcyphertite -I$(INCDIR)/clens -I. -I$(INCDIR) -I$(INCDIR)/clens/include/clens -I$(LOCALBASE)/ssl/include -I $(INCDIR)/clog -I $(INCDIR)/exude -I $(INCDIR)/assl -I $(INCDIR)/shrink/libshrink -I $(INCDIR)/xmlsd
 CFLAGS += $(INCFLAGS) $(WARNFLAGS) $(OPTLEVEL) $(DEBUG)
 LDLIBS += -L../../ctutil/obj -L../../ctutil -L../../libcyphertite/obj
 LDLIBS += -L../../libcyphertite
+LDLIBS += -L../../../assl -L../../../exude -L../../../clog -L../../../shrink/libshrink -L../../../xmlsd -L../../../clens
 LDLIBS += -lcyphertite -lctutil -lassl -lexude -lclog -lshrink -lxmlsd
 LDLIBS += -lclens -levent_core -lexpat -lsqlite3 -llzma -llzo2 $(CURL.LDLIBS)
 LDLIBS += ${LIB.LINKSTATIC} -lssl -lcrypto
diff -aurwN cyphertite-2.0.2/cyphertite/examples/ct_delete/GNUmakefile cyphertite-2.0.2.new/cyphertite/examples/ct_delete/GNUmakefile
--- cyphertite-2.0.2/cyphertite/examples/ct_delete/GNUmakefile	2014-04-07 20:07:03.000000000 -0400
+++ cyphertite-2.0.2.new/cyphertite/examples/ct_delete/GNUmakefile	2014-06-24 22:45:02.156283600 -0400
@@ -42,15 +42,16 @@
 endif
 
 # curl
-CURL.LDLIBS = $(shell PATH=$(BINDIR):$$PATH curl-config --static-libs | \
-    sed -e 's/-lssl//g' -e 's/-lcrypto//g' -e 's/-lz//g' -e 's/ \+/ /g')
+CURL.LDLIBS = $(shell PATH=$(BINDIR):$$PATH curl-config --libs | \
+    sed -e 's/-lssl //g' -e 's/-lcrypto //g' -e 's/-lz //g' -e 's/ \+/ /g')
 
 # Compiler and linker flags.
 CPPFLAGS += -DNEED_LIBCLENS
-INCFLAGS += -I../../ctutil -I../../libcyphertite -I$(INCDIR)/clens -I. -I$(INCDIR)
+INCFLAGS += -I../../ctutil -I../../libcyphertite -I$(INCDIR)/clens -I. -I$(INCDIR) -I$(INCDIR)/clens/include/clens -I$(LOCALBASE)/ssl/include -I $(INCDIR)/clog -I $(INCDIR)/exude -I $(INCDIR)/assl -I $(INCDIR)/shrink/libshrink -I $(INCDIR)/xmlsd
 CFLAGS += $(INCFLAGS) $(WARNFLAGS) $(OPTLEVEL) $(DEBUG)
 LDLIBS += -L../../ctutil/obj -L../../ctutil -L../../libcyphertite/obj
 LDLIBS += -L../../libcyphertite
+LDLIBS += -L../../../assl -L../../../exude -L../../../clog -L../../../shrink/libshrink -L../../../xmlsd -L../../../clens
 LDLIBS += -lcyphertite -lctutil -lassl -lexude -lclog -lshrink -lxmlsd
 LDLIBS += -lclens -levent_core -lexpat -lsqlite3 -llzma -llzo2 $(CURL.LDLIBS)
 LDLIBS += ${LIB.LINKSTATIC} -lssl -lcrypto
diff -aurwN cyphertite-2.0.2/cyphertite/examples/ct_exists/GNUmakefile cyphertite-2.0.2.new/cyphertite/examples/ct_exists/GNUmakefile
--- cyphertite-2.0.2/cyphertite/examples/ct_exists/GNUmakefile	2014-04-07 20:07:03.000000000 -0400
+++ cyphertite-2.0.2.new/cyphertite/examples/ct_exists/GNUmakefile	2014-06-24 22:44:47.956531839 -0400
@@ -42,15 +42,16 @@
 endif
 
 # curl
-CURL.LDLIBS = $(shell PATH=$(BINDIR):$$PATH curl-config --static-libs | \
-    sed -e 's/-lssl//g' -e 's/-lcrypto//g' -e 's/-lz//g' -e 's/ \+/ /g')
+CURL.LDLIBS = $(shell PATH=$(BINDIR):$$PATH curl-config --libs | \
+    sed -e 's/-lssl //g' -e 's/-lcrypto //g' -e 's/-lz //g' -e 's/ \+/ /g')
 
 # Compiler and linker flags.
 CPPFLAGS += -DNEED_LIBCLENS
-INCFLAGS += -I../../ctutil -I../../libcyphertite -I$(INCDIR)/clens -I. -I$(INCDIR)
+INCFLAGS += -I../../ctutil -I../../libcyphertite -I$(INCDIR)/clens -I. -I$(INCDIR) -I$(INCDIR)/clens/include/clens -I$(LOCALBASE)/ssl/include -I $(INCDIR)/clog -I $(INCDIR)/exude -I $(INCDIR)/assl -I $(INCDIR)/shrink/libshrink -I $(INCDIR)/xmlsd
 CFLAGS += $(INCFLAGS) $(WARNFLAGS) $(OPTLEVEL) $(DEBUG)
 LDLIBS += -L../../ctutil/obj -L../../ctutil -L../../libcyphertite/obj
 LDLIBS += -L../../libcyphertite
+LDLIBS += -L../../../assl -L../../../exude -L../../../clog -L../../../shrink/libshrink -L../../../xmlsd -L../../../clens
 LDLIBS += -lcyphertite -lctutil -lassl -lexude -lclog -lshrink -lxmlsd
 LDLIBS += -lclens -levent_core -lexpat -lsqlite3 -llzma -llzo2 $(CURL.LDLIBS)
 LDLIBS += ${LIB.LINKSTATIC} -lssl -lcrypto
diff -aurwN cyphertite-2.0.2/cyphertite/examples/ct_extract/GNUmakefile cyphertite-2.0.2.new/cyphertite/examples/ct_extract/GNUmakefile
--- cyphertite-2.0.2/cyphertite/examples/ct_extract/GNUmakefile	2014-04-07 20:07:03.000000000 -0400
+++ cyphertite-2.0.2.new/cyphertite/examples/ct_extract/GNUmakefile	2014-06-24 22:46:32.902697084 -0400
@@ -42,15 +42,16 @@
 endif
 
 # curl
-CURL.LDLIBS = $(shell PATH=$(BINDIR):$$PATH curl-config --static-libs | \
-    sed -e 's/-lssl//g' -e 's/-lcrypto//g' -e 's/-lz//g' -e 's/ \+/ /g')
+CURL.LDLIBS = $(shell PATH=$(BINDIR):$$PATH curl-config --libs | \
+    sed -e 's/-lssl //g' -e 's/-lcrypto //g' -e 's/-lz //g' -e 's/ \+/ /g')
 
 # Compiler and linker flags.
 CPPFLAGS += -DNEED_LIBCLENS
-INCFLAGS += -I../../ctutil -I../../libcyphertite -I$(INCDIR)/clens -I. -I$(INCDIR)
+INCFLAGS += -I../../ctutil -I../../libcyphertite -I$(INCDIR)/clens -I. -I$(INCDIR) -I$(INCDIR)/clens/include/clens -I$(LOCALBASE)/ssl/include -I $(INCDIR)/clog -I $(INCDIR)/exude -I $(INCDIR)/assl -I $(INCDIR)/shrink/libshrink -I $(INCDIR)/xmlsd
 CFLAGS += $(INCFLAGS) $(WARNFLAGS) $(OPTLEVEL) $(DEBUG)
 LDLIBS += -L../../ctutil/obj -L../../ctutil -L../../libcyphertite/obj
 LDLIBS += -L../../libcyphertite
+LDLIBS += -L../../../assl -L../../../exude -L../../../clog -L../../../shrink/libshrink -L../../../xmlsd -L../../../clens
 LDLIBS += -lcyphertite -lctutil -lassl -lexude -lclog -lshrink -lxmlsd
 LDLIBS += -lclens -levent_core -lexpat -lsqlite3 -llzma -llzo2 $(CURL.LDLIBS)
 LDLIBS += ${LIB.LINKSTATIC} -lssl -lcrypto
diff -aurwN cyphertite-2.0.2/cyphertite/examples/ct_list/GNUmakefile cyphertite-2.0.2.new/cyphertite/examples/ct_list/GNUmakefile
--- cyphertite-2.0.2/cyphertite/examples/ct_list/GNUmakefile	2014-04-07 20:07:03.000000000 -0400
+++ cyphertite-2.0.2.new/cyphertite/examples/ct_list/GNUmakefile	2014-06-24 22:45:25.911868459 -0400
@@ -42,15 +42,16 @@
 endif
 
 # curl
-CURL.LDLIBS = $(shell PATH=$(BINDIR):$$PATH curl-config --static-libs | \
-    sed -e 's/-lssl//g' -e 's/-lcrypto//g' -e 's/-lz//g' -e 's/ \+/ /g')
+CURL.LDLIBS = $(shell PATH=$(BINDIR):$$PATH curl-config --libs | \
+    sed -e 's/-lssl //g' -e 's/-lcrypto //g' -e 's/-lz //g' -e 's/ \+/ /g')
 
 # Compiler and linker flags.
 CPPFLAGS += -DNEED_LIBCLENS
-INCFLAGS += -I../../ctutil -I../../libcyphertite -I$(INCDIR)/clens -I. -I$(INCDIR)
+INCFLAGS += -I../../ctutil -I../../libcyphertite -I$(INCDIR)/clens -I. -I$(INCDIR) -I$(INCDIR)/clens/include/clens -I$(LOCALBASE)/ssl/include -I $(INCDIR)/clog -I $(INCDIR)/exude -I $(INCDIR)/assl -I $(INCDIR)/shrink/libshrink -I $(INCDIR)/xmlsd
 CFLAGS += $(INCFLAGS) $(WARNFLAGS) $(OPTLEVEL) $(DEBUG)
 LDLIBS += -L../../ctutil/obj -L../../ctutil -L../../libcyphertite/obj
 LDLIBS += -L../../libcyphertite
+LDLIBS += -L../../../assl -L../../../exude -L../../../clog -L../../../shrink/libshrink -L../../../xmlsd -L../../../clens
 LDLIBS += -lcyphertite -lctutil -lassl -lexude -lclog -lshrink -lxmlsd
 LDLIBS += -lclens -levent_core -lexpat -lsqlite3 -llzma -llzo2 $(CURL.LDLIBS)
 LDLIBS += ${LIB.LINKSTATIC} -lssl -lcrypto
diff -aruwN cyphertite-2.0.2/shrink/GNUmakefile cyphertite-2.0.2.new/shrink/GNUmakefile
--- cyphertite-2.0.2/shrink/GNUmakefile	2014-04-07 20:07:06.000000000 -0400
+++ cyphertite-2.0.2.new/shrink/GNUmakefile	2014-06-25 18:47:30.648799283 -0400
@@ -15,3 +15,4 @@
 
 .PHONY: all $(SUBDIRS) $(TARGETS)
 
+shrink: libshrink

diff -aruwN cyphertite-2.0.2/cyphertite/GNUmakefile cyphertite-2.0.2.new/cyphertite/GNUmakefile
--- cyphertite-2.0.2/cyphertite/GNUmakefile	2014-04-07 20:07:03.000000000 -0400
+++ cyphertite-2.0.2.new/cyphertite/GNUmakefile	2014-06-25 18:51:05.345377210 -0400
@@ -12,3 +12,5 @@
 
 .PHONY: all $(SUBDIRS) $(TARGETS)
 
+examples: ctutil libcyphertite
+cyphertite: libcyphertite
diff -aruwN cyphertite-2.0.2/GNUmakefile cyphertite-2.0.2.new/GNUmakefile
--- cyphertite-2.0.2/GNUmakefile	1969-12-31 19:00:00.000000000 -0500
+++ cyphertite-2.0.2.new/GNUmakefile	2014-06-25 20:16:01.850059662 -0400
@@ -0,0 +1,22 @@
+SUBDIRS = clens clog assl xmlsd shrink exude cyphertite
+TARGETS = clean obj install uninstall depend
+
+all: $(SUBDIRS)
+
+$(TARGETS):
+	@for d in $(SUBDIRS); do			\
+		echo "===> $$d";			\
+		$(MAKE) -C $$d/ $@ || exit $$?; 	\
+	done
+
+$(SUBDIRS):
+	@echo "===> $@"
+	$(MAKE) -C $@
+
+.PHONY: all $(SUBDIRS) $(TARGETS)
+
+clog: clens
+assl: clens
+xmlsd: clens
+shrink: clens
+cyphertite: clens clog assl xmlsd shrink exude

